package com.hai.dao;

import com.hai.entity.HighOrder;
import com.hai.entity.HighOrderExample.Criteria;
import com.hai.entity.HighOrderExample.Criterion;
import com.hai.entity.HighOrderExample;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.jdbc.SQL;

public class HighOrderSqlProvider {

    public String countByExample(HighOrderExample example) {
        SQL sql = new SQL();
        sql.SELECT("count(*)").FROM("high_order");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String deleteByExample(HighOrderExample example) {
        SQL sql = new SQL();
        sql.DELETE_FROM("high_order");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String insertSelective(HighOrder record) {
        SQL sql = new SQL();
        sql.INSERT_INTO("high_order");
        
        if (record.getOrderNo() != null) {
            sql.VALUES("order_no", "#{orderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMemDiscountId() != null) {
            sql.VALUES("mem_discount_id", "#{memDiscountId,jdbcType=BIGINT}");
        }
        
        if (record.getMemDiscountName() != null) {
            sql.VALUES("mem_discount_name", "#{memDiscountName,jdbcType=VARCHAR}");
        }
        
        if (record.getMemId() != null) {
            sql.VALUES("mem_id", "#{memId,jdbcType=BIGINT}");
        }
        
        if (record.getMemName() != null) {
            sql.VALUES("mem_name", "#{memName,jdbcType=VARCHAR}");
        }
        
        if (record.getMemPhone() != null) {
            sql.VALUES("mem_phone", "#{memPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getMemCardId() != null) {
            sql.VALUES("mem_card_id", "#{memCardId,jdbcType=BIGINT}");
        }
        
        if (record.getMemCardType() != null) {
            sql.VALUES("mem_card_type", "#{memCardType,jdbcType=INTEGER}");
        }
        
        if (record.getMemCardNo() != null) {
            sql.VALUES("mem_card_no", "#{memCardNo,jdbcType=VARCHAR}");
        }
        
        if (record.getPayModel() != null) {
            sql.VALUES("pay_model", "#{payModel,jdbcType=INTEGER}");
        }
        
        if (record.getPayType() != null) {
            sql.VALUES("pay_type", "#{payType,jdbcType=INTEGER}");
        }
        
        if (record.getPayablePrice() != null) {
            sql.VALUES("payable_price", "#{payablePrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayGold() != null) {
            sql.VALUES("pay_gold", "#{payGold,jdbcType=INTEGER}");
        }
        
        if (record.getPayPrice() != null) {
            sql.VALUES("pay_price", "#{payPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayRealPrice() != null) {
            sql.VALUES("pay_real_price", "#{payRealPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPaySerialNo() != null) {
            sql.VALUES("pay_serial_no", "#{paySerialNo,jdbcType=VARCHAR}");
        }
        
        if (record.getDeductionPrice() != null) {
            sql.VALUES("deduction_price", "#{deductionPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getOrderStatus() != null) {
            sql.VALUES("order_status", "#{orderStatus,jdbcType=INTEGER}");
        }
        
        if (record.getTotalPrice() != null) {
            sql.VALUES("total_price", "#{totalPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getCreateTime() != null) {
            sql.VALUES("create_time", "#{createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getPayTime() != null) {
            sql.VALUES("pay_time", "#{payTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelTime() != null) {
            sql.VALUES("cancel_time", "#{cancelTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelRemarks() != null) {
            sql.VALUES("cancel_remarks", "#{cancelRemarks,jdbcType=VARCHAR}");
        }
        
        if (record.getFinishTime() != null) {
            sql.VALUES("finish_time", "#{finishTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRemarks() != null) {
            sql.VALUES("remarks", "#{remarks,jdbcType=VARCHAR}");
        }
        
        if (record.getRefundNo() != null) {
            sql.VALUES("refund_no", "#{refundNo,jdbcType=VARCHAR}");
        }
        
        if (record.getRefundTime() != null) {
            sql.VALUES("refund_time", "#{refundTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundPrice() != null) {
            sql.VALUES("refund_price", "#{refundPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getRefundContent() != null) {
            sql.VALUES("refund_content", "#{refundContent,jdbcType=VARCHAR}");
        }
        
        if (record.getRefusalRefundContent() != null) {
            sql.VALUES("refusal_refund_content", "#{refusalRefundContent,jdbcType=VARCHAR}");
        }
        
        if (record.getIdentificationCode() != null) {
            sql.VALUES("Identification_code", "#{identificationCode,jdbcType=BIGINT}");
        }
        
        if (record.getProfitSharingStatus() != null) {
            sql.VALUES("profit_sharing_status", "#{profitSharingStatus,jdbcType=BIT}");
        }
        
        if (record.getProfitSharingRatio() != null) {
            sql.VALUES("profit_sharing_ratio", "#{profitSharingRatio,jdbcType=DECIMAL}");
        }
        
        if (record.getAccountMerchantNum() != null) {
            sql.VALUES("account_merchant_num", "#{accountMerchantNum,jdbcType=VARCHAR}");
        }
        
        if (record.getProductType() != null) {
            sql.VALUES("product_type", "#{productType,jdbcType=INTEGER}");
        }
        
        if (record.getPrintStatus() != null) {
            sql.VALUES("print_status", "#{printStatus,jdbcType=BIT}");
        }
        
        if (record.getPrintNum() != null) {
            sql.VALUES("print_num", "#{printNum,jdbcType=INTEGER}");
        }
        
        if (record.getWhetherCheck() != null) {
            sql.VALUES("whether_check", "#{whetherCheck,jdbcType=BIT}");
        }
        
        if (record.getWhetherRebate() != null) {
            sql.VALUES("whether_rebate", "#{whetherRebate,jdbcType=BIT}");
        }
        
        if (record.getRegionId() != null) {
            sql.VALUES("region_id", "#{regionId,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.VALUES("company_id", "#{companyId,jdbcType=BIGINT}");
        }
        
        if (record.getMerchId() != null) {
            sql.VALUES("merch_id", "#{merchId,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.VALUES("ext_1", "#{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.VALUES("ext_2", "#{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.VALUES("ext_3", "#{ext3,jdbcType=VARCHAR}");
        }
        
        return sql.toString();
    }

    public String selectByExample(HighOrderExample example) {
        SQL sql = new SQL();
        if (example != null && example.isDistinct()) {
            sql.SELECT_DISTINCT("id");
        } else {
            sql.SELECT("id");
        }
        sql.SELECT("order_no");
        sql.SELECT("mem_discount_id");
        sql.SELECT("mem_discount_name");
        sql.SELECT("mem_id");
        sql.SELECT("mem_name");
        sql.SELECT("mem_phone");
        sql.SELECT("mem_card_id");
        sql.SELECT("mem_card_type");
        sql.SELECT("mem_card_no");
        sql.SELECT("pay_model");
        sql.SELECT("pay_type");
        sql.SELECT("payable_price");
        sql.SELECT("pay_gold");
        sql.SELECT("pay_price");
        sql.SELECT("pay_real_price");
        sql.SELECT("pay_serial_no");
        sql.SELECT("deduction_price");
        sql.SELECT("order_status");
        sql.SELECT("total_price");
        sql.SELECT("create_time");
        sql.SELECT("pay_time");
        sql.SELECT("cancel_time");
        sql.SELECT("cancel_remarks");
        sql.SELECT("finish_time");
        sql.SELECT("remarks");
        sql.SELECT("refund_no");
        sql.SELECT("refund_time");
        sql.SELECT("refund_price");
        sql.SELECT("refund_content");
        sql.SELECT("refusal_refund_content");
        sql.SELECT("Identification_code");
        sql.SELECT("profit_sharing_status");
        sql.SELECT("profit_sharing_ratio");
        sql.SELECT("account_merchant_num");
        sql.SELECT("product_type");
        sql.SELECT("print_status");
        sql.SELECT("print_num");
        sql.SELECT("whether_check");
        sql.SELECT("whether_rebate");
        sql.SELECT("region_id");
        sql.SELECT("company_id");
        sql.SELECT("merch_id");
        sql.SELECT("ext_1");
        sql.SELECT("ext_2");
        sql.SELECT("ext_3");
        sql.FROM("high_order");
        applyWhere(sql, example, false);
        
        if (example != null && example.getOrderByClause() != null) {
            sql.ORDER_BY(example.getOrderByClause());
        }
        
        return sql.toString();
    }

    public String updateByExampleSelective(Map<String, Object> parameter) {
        HighOrder record = (HighOrder) parameter.get("record");
        HighOrderExample example = (HighOrderExample) parameter.get("example");
        
        SQL sql = new SQL();
        sql.UPDATE("high_order");
        
        if (record.getId() != null) {
            sql.SET("id = #{record.id,jdbcType=BIGINT}");
        }
        
        if (record.getOrderNo() != null) {
            sql.SET("order_no = #{record.orderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMemDiscountId() != null) {
            sql.SET("mem_discount_id = #{record.memDiscountId,jdbcType=BIGINT}");
        }
        
        if (record.getMemDiscountName() != null) {
            sql.SET("mem_discount_name = #{record.memDiscountName,jdbcType=VARCHAR}");
        }
        
        if (record.getMemId() != null) {
            sql.SET("mem_id = #{record.memId,jdbcType=BIGINT}");
        }
        
        if (record.getMemName() != null) {
            sql.SET("mem_name = #{record.memName,jdbcType=VARCHAR}");
        }
        
        if (record.getMemPhone() != null) {
            sql.SET("mem_phone = #{record.memPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getMemCardId() != null) {
            sql.SET("mem_card_id = #{record.memCardId,jdbcType=BIGINT}");
        }
        
        if (record.getMemCardType() != null) {
            sql.SET("mem_card_type = #{record.memCardType,jdbcType=INTEGER}");
        }
        
        if (record.getMemCardNo() != null) {
            sql.SET("mem_card_no = #{record.memCardNo,jdbcType=VARCHAR}");
        }
        
        if (record.getPayModel() != null) {
            sql.SET("pay_model = #{record.payModel,jdbcType=INTEGER}");
        }
        
        if (record.getPayType() != null) {
            sql.SET("pay_type = #{record.payType,jdbcType=INTEGER}");
        }
        
        if (record.getPayablePrice() != null) {
            sql.SET("payable_price = #{record.payablePrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayGold() != null) {
            sql.SET("pay_gold = #{record.payGold,jdbcType=INTEGER}");
        }
        
        if (record.getPayPrice() != null) {
            sql.SET("pay_price = #{record.payPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayRealPrice() != null) {
            sql.SET("pay_real_price = #{record.payRealPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPaySerialNo() != null) {
            sql.SET("pay_serial_no = #{record.paySerialNo,jdbcType=VARCHAR}");
        }
        
        if (record.getDeductionPrice() != null) {
            sql.SET("deduction_price = #{record.deductionPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getOrderStatus() != null) {
            sql.SET("order_status = #{record.orderStatus,jdbcType=INTEGER}");
        }
        
        if (record.getTotalPrice() != null) {
            sql.SET("total_price = #{record.totalPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getCreateTime() != null) {
            sql.SET("create_time = #{record.createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getPayTime() != null) {
            sql.SET("pay_time = #{record.payTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelTime() != null) {
            sql.SET("cancel_time = #{record.cancelTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelRemarks() != null) {
            sql.SET("cancel_remarks = #{record.cancelRemarks,jdbcType=VARCHAR}");
        }
        
        if (record.getFinishTime() != null) {
            sql.SET("finish_time = #{record.finishTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRemarks() != null) {
            sql.SET("remarks = #{record.remarks,jdbcType=VARCHAR}");
        }
        
        if (record.getRefundNo() != null) {
            sql.SET("refund_no = #{record.refundNo,jdbcType=VARCHAR}");
        }
        
        if (record.getRefundTime() != null) {
            sql.SET("refund_time = #{record.refundTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundPrice() != null) {
            sql.SET("refund_price = #{record.refundPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getRefundContent() != null) {
            sql.SET("refund_content = #{record.refundContent,jdbcType=VARCHAR}");
        }
        
        if (record.getRefusalRefundContent() != null) {
            sql.SET("refusal_refund_content = #{record.refusalRefundContent,jdbcType=VARCHAR}");
        }
        
        if (record.getIdentificationCode() != null) {
            sql.SET("Identification_code = #{record.identificationCode,jdbcType=BIGINT}");
        }
        
        if (record.getProfitSharingStatus() != null) {
            sql.SET("profit_sharing_status = #{record.profitSharingStatus,jdbcType=BIT}");
        }
        
        if (record.getProfitSharingRatio() != null) {
            sql.SET("profit_sharing_ratio = #{record.profitSharingRatio,jdbcType=DECIMAL}");
        }
        
        if (record.getAccountMerchantNum() != null) {
            sql.SET("account_merchant_num = #{record.accountMerchantNum,jdbcType=VARCHAR}");
        }
        
        if (record.getProductType() != null) {
            sql.SET("product_type = #{record.productType,jdbcType=INTEGER}");
        }
        
        if (record.getPrintStatus() != null) {
            sql.SET("print_status = #{record.printStatus,jdbcType=BIT}");
        }
        
        if (record.getPrintNum() != null) {
            sql.SET("print_num = #{record.printNum,jdbcType=INTEGER}");
        }
        
        if (record.getWhetherCheck() != null) {
            sql.SET("whether_check = #{record.whetherCheck,jdbcType=BIT}");
        }
        
        if (record.getWhetherRebate() != null) {
            sql.SET("whether_rebate = #{record.whetherRebate,jdbcType=BIT}");
        }
        
        if (record.getRegionId() != null) {
            sql.SET("region_id = #{record.regionId,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.SET("company_id = #{record.companyId,jdbcType=BIGINT}");
        }
        
        if (record.getMerchId() != null) {
            sql.SET("merch_id = #{record.merchId,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        }
        
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByExample(Map<String, Object> parameter) {
        SQL sql = new SQL();
        sql.UPDATE("high_order");
        
        sql.SET("id = #{record.id,jdbcType=BIGINT}");
        sql.SET("order_no = #{record.orderNo,jdbcType=VARCHAR}");
        sql.SET("mem_discount_id = #{record.memDiscountId,jdbcType=BIGINT}");
        sql.SET("mem_discount_name = #{record.memDiscountName,jdbcType=VARCHAR}");
        sql.SET("mem_id = #{record.memId,jdbcType=BIGINT}");
        sql.SET("mem_name = #{record.memName,jdbcType=VARCHAR}");
        sql.SET("mem_phone = #{record.memPhone,jdbcType=VARCHAR}");
        sql.SET("mem_card_id = #{record.memCardId,jdbcType=BIGINT}");
        sql.SET("mem_card_type = #{record.memCardType,jdbcType=INTEGER}");
        sql.SET("mem_card_no = #{record.memCardNo,jdbcType=VARCHAR}");
        sql.SET("pay_model = #{record.payModel,jdbcType=INTEGER}");
        sql.SET("pay_type = #{record.payType,jdbcType=INTEGER}");
        sql.SET("payable_price = #{record.payablePrice,jdbcType=DECIMAL}");
        sql.SET("pay_gold = #{record.payGold,jdbcType=INTEGER}");
        sql.SET("pay_price = #{record.payPrice,jdbcType=DECIMAL}");
        sql.SET("pay_real_price = #{record.payRealPrice,jdbcType=DECIMAL}");
        sql.SET("pay_serial_no = #{record.paySerialNo,jdbcType=VARCHAR}");
        sql.SET("deduction_price = #{record.deductionPrice,jdbcType=DECIMAL}");
        sql.SET("order_status = #{record.orderStatus,jdbcType=INTEGER}");
        sql.SET("total_price = #{record.totalPrice,jdbcType=DECIMAL}");
        sql.SET("create_time = #{record.createTime,jdbcType=TIMESTAMP}");
        sql.SET("pay_time = #{record.payTime,jdbcType=TIMESTAMP}");
        sql.SET("cancel_time = #{record.cancelTime,jdbcType=TIMESTAMP}");
        sql.SET("cancel_remarks = #{record.cancelRemarks,jdbcType=VARCHAR}");
        sql.SET("finish_time = #{record.finishTime,jdbcType=TIMESTAMP}");
        sql.SET("remarks = #{record.remarks,jdbcType=VARCHAR}");
        sql.SET("refund_no = #{record.refundNo,jdbcType=VARCHAR}");
        sql.SET("refund_time = #{record.refundTime,jdbcType=TIMESTAMP}");
        sql.SET("refund_price = #{record.refundPrice,jdbcType=DECIMAL}");
        sql.SET("refund_content = #{record.refundContent,jdbcType=VARCHAR}");
        sql.SET("refusal_refund_content = #{record.refusalRefundContent,jdbcType=VARCHAR}");
        sql.SET("Identification_code = #{record.identificationCode,jdbcType=BIGINT}");
        sql.SET("profit_sharing_status = #{record.profitSharingStatus,jdbcType=BIT}");
        sql.SET("profit_sharing_ratio = #{record.profitSharingRatio,jdbcType=DECIMAL}");
        sql.SET("account_merchant_num = #{record.accountMerchantNum,jdbcType=VARCHAR}");
        sql.SET("product_type = #{record.productType,jdbcType=INTEGER}");
        sql.SET("print_status = #{record.printStatus,jdbcType=BIT}");
        sql.SET("print_num = #{record.printNum,jdbcType=INTEGER}");
        sql.SET("whether_check = #{record.whetherCheck,jdbcType=BIT}");
        sql.SET("whether_rebate = #{record.whetherRebate,jdbcType=BIT}");
        sql.SET("region_id = #{record.regionId,jdbcType=VARCHAR}");
        sql.SET("company_id = #{record.companyId,jdbcType=BIGINT}");
        sql.SET("merch_id = #{record.merchId,jdbcType=VARCHAR}");
        sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        
        HighOrderExample example = (HighOrderExample) parameter.get("example");
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByPrimaryKeySelective(HighOrder record) {
        SQL sql = new SQL();
        sql.UPDATE("high_order");
        
        if (record.getOrderNo() != null) {
            sql.SET("order_no = #{orderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMemDiscountId() != null) {
            sql.SET("mem_discount_id = #{memDiscountId,jdbcType=BIGINT}");
        }
        
        if (record.getMemDiscountName() != null) {
            sql.SET("mem_discount_name = #{memDiscountName,jdbcType=VARCHAR}");
        }
        
        if (record.getMemId() != null) {
            sql.SET("mem_id = #{memId,jdbcType=BIGINT}");
        }
        
        if (record.getMemName() != null) {
            sql.SET("mem_name = #{memName,jdbcType=VARCHAR}");
        }
        
        if (record.getMemPhone() != null) {
            sql.SET("mem_phone = #{memPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getMemCardId() != null) {
            sql.SET("mem_card_id = #{memCardId,jdbcType=BIGINT}");
        }
        
        if (record.getMemCardType() != null) {
            sql.SET("mem_card_type = #{memCardType,jdbcType=INTEGER}");
        }
        
        if (record.getMemCardNo() != null) {
            sql.SET("mem_card_no = #{memCardNo,jdbcType=VARCHAR}");
        }
        
        if (record.getPayModel() != null) {
            sql.SET("pay_model = #{payModel,jdbcType=INTEGER}");
        }
        
        if (record.getPayType() != null) {
            sql.SET("pay_type = #{payType,jdbcType=INTEGER}");
        }
        
        if (record.getPayablePrice() != null) {
            sql.SET("payable_price = #{payablePrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayGold() != null) {
            sql.SET("pay_gold = #{payGold,jdbcType=INTEGER}");
        }
        
        if (record.getPayPrice() != null) {
            sql.SET("pay_price = #{payPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayRealPrice() != null) {
            sql.SET("pay_real_price = #{payRealPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPaySerialNo() != null) {
            sql.SET("pay_serial_no = #{paySerialNo,jdbcType=VARCHAR}");
        }
        
        if (record.getDeductionPrice() != null) {
            sql.SET("deduction_price = #{deductionPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getOrderStatus() != null) {
            sql.SET("order_status = #{orderStatus,jdbcType=INTEGER}");
        }
        
        if (record.getTotalPrice() != null) {
            sql.SET("total_price = #{totalPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getCreateTime() != null) {
            sql.SET("create_time = #{createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getPayTime() != null) {
            sql.SET("pay_time = #{payTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelTime() != null) {
            sql.SET("cancel_time = #{cancelTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelRemarks() != null) {
            sql.SET("cancel_remarks = #{cancelRemarks,jdbcType=VARCHAR}");
        }
        
        if (record.getFinishTime() != null) {
            sql.SET("finish_time = #{finishTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRemarks() != null) {
            sql.SET("remarks = #{remarks,jdbcType=VARCHAR}");
        }
        
        if (record.getRefundNo() != null) {
            sql.SET("refund_no = #{refundNo,jdbcType=VARCHAR}");
        }
        
        if (record.getRefundTime() != null) {
            sql.SET("refund_time = #{refundTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundPrice() != null) {
            sql.SET("refund_price = #{refundPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getRefundContent() != null) {
            sql.SET("refund_content = #{refundContent,jdbcType=VARCHAR}");
        }
        
        if (record.getRefusalRefundContent() != null) {
            sql.SET("refusal_refund_content = #{refusalRefundContent,jdbcType=VARCHAR}");
        }
        
        if (record.getIdentificationCode() != null) {
            sql.SET("Identification_code = #{identificationCode,jdbcType=BIGINT}");
        }
        
        if (record.getProfitSharingStatus() != null) {
            sql.SET("profit_sharing_status = #{profitSharingStatus,jdbcType=BIT}");
        }
        
        if (record.getProfitSharingRatio() != null) {
            sql.SET("profit_sharing_ratio = #{profitSharingRatio,jdbcType=DECIMAL}");
        }
        
        if (record.getAccountMerchantNum() != null) {
            sql.SET("account_merchant_num = #{accountMerchantNum,jdbcType=VARCHAR}");
        }
        
        if (record.getProductType() != null) {
            sql.SET("product_type = #{productType,jdbcType=INTEGER}");
        }
        
        if (record.getPrintStatus() != null) {
            sql.SET("print_status = #{printStatus,jdbcType=BIT}");
        }
        
        if (record.getPrintNum() != null) {
            sql.SET("print_num = #{printNum,jdbcType=INTEGER}");
        }
        
        if (record.getWhetherCheck() != null) {
            sql.SET("whether_check = #{whetherCheck,jdbcType=BIT}");
        }
        
        if (record.getWhetherRebate() != null) {
            sql.SET("whether_rebate = #{whetherRebate,jdbcType=BIT}");
        }
        
        if (record.getRegionId() != null) {
            sql.SET("region_id = #{regionId,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.SET("company_id = #{companyId,jdbcType=BIGINT}");
        }
        
        if (record.getMerchId() != null) {
            sql.SET("merch_id = #{merchId,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{ext3,jdbcType=VARCHAR}");
        }
        
        sql.WHERE("id = #{id,jdbcType=BIGINT}");
        
        return sql.toString();
    }

    protected void applyWhere(SQL sql, HighOrderExample example, boolean includeExamplePhrase) {
        if (example == null) {
            return;
        }
        
        String parmPhrase1;
        String parmPhrase1_th;
        String parmPhrase2;
        String parmPhrase2_th;
        String parmPhrase3;
        String parmPhrase3_th;
        if (includeExamplePhrase) {
            parmPhrase1 = "%s #{example.oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{example.oredCriteria[%d].allCriteria[%d].value} and #{example.oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{example.oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{example.oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{example.oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        } else {
            parmPhrase1 = "%s #{oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{oredCriteria[%d].allCriteria[%d].value} and #{oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        }
        
        StringBuilder sb = new StringBuilder();
        List<Criteria> oredCriteria = example.getOredCriteria();
        boolean firstCriteria = true;
        for (int i = 0; i < oredCriteria.size(); i++) {
            Criteria criteria = oredCriteria.get(i);
            if (criteria.isValid()) {
                if (firstCriteria) {
                    firstCriteria = false;
                } else {
                    sb.append(" or ");
                }
                
                sb.append('(');
                List<Criterion> criterions = criteria.getAllCriteria();
                boolean firstCriterion = true;
                for (int j = 0; j < criterions.size(); j++) {
                    Criterion criterion = criterions.get(j);
                    if (firstCriterion) {
                        firstCriterion = false;
                    } else {
                        sb.append(" and ");
                    }
                    
                    if (criterion.isNoValue()) {
                        sb.append(criterion.getCondition());
                    } else if (criterion.isSingleValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase1, criterion.getCondition(), i, j));
                        } else {
                            sb.append(String.format(parmPhrase1_th, criterion.getCondition(), i, j,criterion.getTypeHandler()));
                        }
                    } else if (criterion.isBetweenValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase2, criterion.getCondition(), i, j, i, j));
                        } else {
                            sb.append(String.format(parmPhrase2_th, criterion.getCondition(), i, j, criterion.getTypeHandler(), i, j, criterion.getTypeHandler()));
                        }
                    } else if (criterion.isListValue()) {
                        sb.append(criterion.getCondition());
                        sb.append(" (");
                        List<?> listItems = (List<?>) criterion.getValue();
                        boolean comma = false;
                        for (int k = 0; k < listItems.size(); k++) {
                            if (comma) {
                                sb.append(", ");
                            } else {
                                comma = true;
                            }
                            if (criterion.getTypeHandler() == null) {
                                sb.append(String.format(parmPhrase3, i, j, k));
                            } else {
                                sb.append(String.format(parmPhrase3_th, i, j, k, criterion.getTypeHandler()));
                            }
                        }
                        sb.append(')');
                    }
                }
                sb.append(')');
            }
        }
        
        if (sb.length() > 0) {
            sql.WHERE(sb.toString());
        }
    }
}